WDrives

WDrives Version 2.1

This software is provided "as is" without warranty of any kind. The author disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages.
Even though WDrives is freeware, it is not in the public domain, I reserve all rights to it. You may freely distribute copies of WDrives as long as you do so in an unmodified form and include all files and documentation that are present in the original archive. You may not charge for the distribution of WDrives other than a reasonable fee to cover your distribution costs.

The WDrives application is the desktop edition of MemInfo and MemInfo.NET! I started developing WDrives (aka WinDrives) many years ago using Borland C++ (under Windows 3.11, 16bit) and then Microsoft Visual C++ 6.0 (MFC, Windows NT, 32bit).

The target of application was not developing a complex and sophisticated application. The target just was to develop an application and keep it alive! I have written the first lines of code of this application many years ago under Windows 3.11 (16bit). After migrating it to 32bit it still works under Vista and even Windows 7. There is a long way from Windows 3.11 to Windows 7 and the application still works!

Author

Harald-René Flasch
mailto:hfr@hfrmobile.com
http://www.hfrmobile.com

Help topics

  • Units
  • View
  • Drives

History

The following table contains released versions of WDrives and short description for each version:

Version Description
2.1
  • Face-lifting for hfrmobile.com
  • Improved setup
  • Improved help (added TOC, added help topics, added version history)
  • Internal improvements (aka refactoring; keeping WDrives alive even it is very old)
2.0.31c
  • Adjusted hfrweb-URL in chm file
2.0.31b
  • Using MSI (Microsoft Installer) now
2.0.31
  • Changed copyright info from coostart to hfr
  • Using HTMLHelp (.chm) instead of normal Win32 Help (.hlp)
  • Added history
2.0.15
  • No information
2.0.14
  • Recompiled for new GrayRect() function
  • Fixed percent bug(?) (using PROGRESS_0)
2.0.10
  • Added help
  • Added setup.exe
2.0.9
  • First release (the Version 2.0.7 is no official release because it was too buggy)
2.0.7
  • First release of the 32bit version
  • Changed product name from WinDrives to WDrives
1.8
  • The 32bit version of WDrives is based on the 16bit version. WinDrives 1.8 (1996, 1997) is the last 16bit version.


WDrives - Units

Units

Since this is a very old application it still uses the classic SI prefixes (e.g. 1 MB = 1024 KB). At the good old time (1980's - 1990's) everybody who had to do with computers (including DAUs) knew that there is something with 1024 ... and not 1000 ... even SI prefixes like Kilo, Mega etc. was used!

Sample | Everybody | Knows
One kilogramm | 1 kg | 1000 g
One kilobyte | 1 KB | 1024 Byte

But then there where some smart guys who said: 1 MEGABYTE is 1.000.000 Bytes and not 1.048.576 (1024x1024) ... RRRrrr...!

So the invented a new unit called Mebibyte using new stupid prefixes ...

So, if you see today somewhere GB it maybe means GB or GiB ... NARF!

For example if you buy blank DVDs a lot of manufacturers claim 4,7 GB ... For IT specialists this is real pain. Each IT specialist and a lot of users knowing the 1024 factor ... But it means: 4,4 GiB ... But it looks better when there is a bigger number on the label? If you buy a 1 TB (Terra Byte) hard-disk it is not really 1 TB ... bigger numbers sells better ... This opens doors for manufactures to confuse customers ... There should be always the information if GB uses 1024 or the stupid 1000 Mebibyte non-sense so that customers are able to know what they buy...

Even I really hate that Mebibyte non-sense I maybe support the new units in a future version of WDrives. But in that case I'll support a classic mode which uses the 1024 factor for MB ;-)

Btw, the spell-checker which I used does not know Mebibyte, MiB etc. ;o)


WDrives - View

View

The View menu or toolbar can be used to configure the behaviour of WDrives.

  • Update Floppy Drives: Accessing floppy drives took some seconds and so I implemented this the option to ignore them. Today this setting is obsolete when not using a very old computer ;-)
  • Update Removable Drives: Determines if removable drives (e.g. USB sticks) should be displayed/updated or not. If removable drives are displayed and this option is disabled the bar for the drives will be displayed grayed.


WDrives - Drives

Drives

The View|Drives menu can be used to determine which drives (CD-ROM, USB sticks, DVD, network drives etc.) should be displayed and which should be hidden.


WDrives Author

Author

This is a "hidden" page about the author (me ;-)) of WDrives. You may click on the image on the author page of my homepage... ;-)

Picture of the author

Name: | Harald-René Flasch
Contact: | hfr@hfrmobile.com
Homepage: | http://www.hfrmobile.com